commit: 6f339bce84315a111196132ed9f64f31be5d34e1
Author: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 12 21:37:23 2020 +0000
Commit: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Fri Jun 12 21:37:39 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f339bce
dev-lang/rust: add cross-strip information
Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>
dev-lang/rust/rust-1.44.0.ebuild | 13 ++++++++++++-
1 file changed, 12 insertions(+), 1 deletion(-)
diff --git a/dev-lang/rust/rust-1.44.0.ebuild b/dev-lang/rust/rust-1.44.0.ebuild
index ad573f79cdc..bd67db4cdf4 100644
--- a/dev-lang/rust/rust-1.44.0.ebuild
+++ b/dev-lang/rust/rust-1.44.0.ebuild
@@ -356,8 +356,19 @@ src_configure() {
sed -i "/^target = \[/ s#\[.*\]#\[${rust_targets}\]#"
config.toml || die
ewarn
- ewarn "enabled ${rust_target} rust target, using
${cross_toolchain} cross toolchain"
+ ewarn "Enabled ${rust_target} rust target"
+ ewarn "Using ${cross_toolchain} cross toolchain"
ewarn
+ if ! has_version -b 'sys-devel/binutils[multitarget]' ; then
+ ewarn "'sys-devel/binutils[multitarget]' is not
installed"
+ ewarn "'strip' will be unable to strip cross libraries"
+ ewarn "cross targets will be installed with full debug
information"
+ ewarn "enable 'multitarget' USE flag for binutils to be
able to strip object files"
+ ewarn
+ ewarn "Alternatively llvm-strip can be used, it
supports stripping any target"
+ ewarn "define STRIP=\"llvm-strip\" to use it
(experimental)"
+ ewarn
+ fi
done
fi # I_KNOW_WHAT_I_AM_DOING_CROSS